"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var RDSClient_1 = require("./RDSClient");
var AddRoleToDBClusterCommand_1 = require("./commands/AddRoleToDBClusterCommand");
var AddRoleToDBInstanceCommand_1 = require("./commands/AddRoleToDBInstanceCommand");
var AddSourceIdentifierToSubscriptionCommand_1 = require("./commands/AddSourceIdentifierToSubscriptionCommand");
var AddTagsToResourceCommand_1 = require("./commands/AddTagsToResourceCommand");
var ApplyPendingMaintenanceActionCommand_1 = require("./commands/ApplyPendingMaintenanceActionCommand");
var AuthorizeDBSecurityGroupIngressCommand_1 = require("./commands/AuthorizeDBSecurityGroupIngressCommand");
var BacktrackDBClusterCommand_1 = require("./commands/BacktrackDBClusterCommand");
var CopyDBClusterParameterGroupCommand_1 = require("./commands/CopyDBClusterParameterGroupCommand");
var CopyDBClusterSnapshotCommand_1 = require("./commands/CopyDBClusterSnapshotCommand");
var CopyDBParameterGroupCommand_1 = require("./commands/CopyDBParameterGroupCommand");
var CopyDBSnapshotCommand_1 = require("./commands/CopyDBSnapshotCommand");
var CopyOptionGroupCommand_1 = require("./commands/CopyOptionGroupCommand");
var CreateDBClusterCommand_1 = require("./commands/CreateDBClusterCommand");
var CreateDBClusterEndpointCommand_1 = require("./commands/CreateDBClusterEndpointCommand");
var CreateDBClusterParameterGroupCommand_1 = require("./commands/CreateDBClusterParameterGroupCommand");
var CreateDBClusterSnapshotCommand_1 = require("./commands/CreateDBClusterSnapshotCommand");
var CreateDBInstanceCommand_1 = require("./commands/CreateDBInstanceCommand");
var CreateDBInstanceReadReplicaCommand_1 = require("./commands/CreateDBInstanceReadReplicaCommand");
var CreateDBParameterGroupCommand_1 = require("./commands/CreateDBParameterGroupCommand");
var CreateDBSecurityGroupCommand_1 = require("./commands/CreateDBSecurityGroupCommand");
var CreateDBSnapshotCommand_1 = require("./commands/CreateDBSnapshotCommand");
var CreateDBSubnetGroupCommand_1 = require("./commands/CreateDBSubnetGroupCommand");
var CreateEventSubscriptionCommand_1 = require("./commands/CreateEventSubscriptionCommand");
var CreateGlobalClusterCommand_1 = require("./commands/CreateGlobalClusterCommand");
var CreateOptionGroupCommand_1 = require("./commands/CreateOptionGroupCommand");
var DeleteDBClusterCommand_1 = require("./commands/DeleteDBClusterCommand");
var DeleteDBClusterEndpointCommand_1 = require("./commands/DeleteDBClusterEndpointCommand");
var DeleteDBClusterParameterGroupCommand_1 = require("./commands/DeleteDBClusterParameterGroupCommand");
var DeleteDBClusterSnapshotCommand_1 = require("./commands/DeleteDBClusterSnapshotCommand");
var DeleteDBInstanceAutomatedBackupCommand_1 = require("./commands/DeleteDBInstanceAutomatedBackupCommand");
var DeleteDBInstanceCommand_1 = require("./commands/DeleteDBInstanceCommand");
var DeleteDBParameterGroupCommand_1 = require("./commands/DeleteDBParameterGroupCommand");
var DeleteDBSecurityGroupCommand_1 = require("./commands/DeleteDBSecurityGroupCommand");
var DeleteDBSnapshotCommand_1 = require("./commands/DeleteDBSnapshotCommand");
var DeleteDBSubnetGroupCommand_1 = require("./commands/DeleteDBSubnetGroupCommand");
var DeleteEventSubscriptionCommand_1 = require("./commands/DeleteEventSubscriptionCommand");
var DeleteGlobalClusterCommand_1 = require("./commands/DeleteGlobalClusterCommand");
var DeleteOptionGroupCommand_1 = require("./commands/DeleteOptionGroupCommand");
var DescribeAccountAttributesCommand_1 = require("./commands/DescribeAccountAttributesCommand");
var DescribeCertificatesCommand_1 = require("./commands/DescribeCertificatesCommand");
var DescribeDBClusterBacktracksCommand_1 = require("./commands/DescribeDBClusterBacktracksCommand");
var DescribeDBClusterEndpointsCommand_1 = require("./commands/DescribeDBClusterEndpointsCommand");
var DescribeDBClusterParameterGroupsCommand_1 = require("./commands/DescribeDBClusterParameterGroupsCommand");
var DescribeDBClusterParametersCommand_1 = require("./commands/DescribeDBClusterParametersCommand");
var DescribeDBClusterSnapshotAttributesCommand_1 = require("./commands/DescribeDBClusterSnapshotAttributesCommand");
var DescribeDBClusterSnapshotsCommand_1 = require("./commands/DescribeDBClusterSnapshotsCommand");
var DescribeDBClustersCommand_1 = require("./commands/DescribeDBClustersCommand");
var DescribeDBEngineVersionsCommand_1 = require("./commands/DescribeDBEngineVersionsCommand");
var DescribeDBInstanceAutomatedBackupsCommand_1 = require("./commands/DescribeDBInstanceAutomatedBackupsCommand");
var DescribeDBInstancesCommand_1 = require("./commands/DescribeDBInstancesCommand");
var DescribeDBLogFilesCommand_1 = require("./commands/DescribeDBLogFilesCommand");
var DescribeDBParameterGroupsCommand_1 = require("./commands/DescribeDBParameterGroupsCommand");
var DescribeDBParametersCommand_1 = require("./commands/DescribeDBParametersCommand");
var DescribeDBSecurityGroupsCommand_1 = require("./commands/DescribeDBSecurityGroupsCommand");
var DescribeDBSnapshotAttributesCommand_1 = require("./commands/DescribeDBSnapshotAttributesCommand");
var DescribeDBSnapshotsCommand_1 = require("./commands/DescribeDBSnapshotsCommand");
var DescribeDBSubnetGroupsCommand_1 = require("./commands/DescribeDBSubnetGroupsCommand");
var DescribeEngineDefaultClusterParametersCommand_1 = require("./commands/DescribeEngineDefaultClusterParametersCommand");
var DescribeEngineDefaultParametersCommand_1 = require("./commands/DescribeEngineDefaultParametersCommand");
var DescribeEventCategoriesCommand_1 = require("./commands/DescribeEventCategoriesCommand");
var DescribeEventSubscriptionsCommand_1 = require("./commands/DescribeEventSubscriptionsCommand");
var DescribeEventsCommand_1 = require("./commands/DescribeEventsCommand");
var DescribeGlobalClustersCommand_1 = require("./commands/DescribeGlobalClustersCommand");
var DescribeOptionGroupOptionsCommand_1 = require("./commands/DescribeOptionGroupOptionsCommand");
var DescribeOptionGroupsCommand_1 = require("./commands/DescribeOptionGroupsCommand");
var DescribeOrderableDBInstanceOptionsCommand_1 = require("./commands/DescribeOrderableDBInstanceOptionsCommand");
var DescribePendingMaintenanceActionsCommand_1 = require("./commands/DescribePendingMaintenanceActionsCommand");
var DescribeReservedDBInstancesCommand_1 = require("./commands/DescribeReservedDBInstancesCommand");
var DescribeReservedDBInstancesOfferingsCommand_1 = require("./commands/DescribeReservedDBInstancesOfferingsCommand");
var DescribeSourceRegionsCommand_1 = require("./commands/DescribeSourceRegionsCommand");
var DescribeValidDBInstanceModificationsCommand_1 = require("./commands/DescribeValidDBInstanceModificationsCommand");
var DownloadDBLogFilePortionCommand_1 = require("./commands/DownloadDBLogFilePortionCommand");
var FailoverDBClusterCommand_1 = require("./commands/FailoverDBClusterCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ModifyCurrentDBClusterCapacityCommand_1 = require("./commands/ModifyCurrentDBClusterCapacityCommand");
var ModifyDBClusterCommand_1 = require("./commands/ModifyDBClusterCommand");
var ModifyDBClusterEndpointCommand_1 = require("./commands/ModifyDBClusterEndpointCommand");
var ModifyDBClusterParameterGroupCommand_1 = require("./commands/ModifyDBClusterParameterGroupCommand");
var ModifyDBClusterSnapshotAttributeCommand_1 = require("./commands/ModifyDBClusterSnapshotAttributeCommand");
var ModifyDBInstanceCommand_1 = require("./commands/ModifyDBInstanceCommand");
var ModifyDBParameterGroupCommand_1 = require("./commands/ModifyDBParameterGroupCommand");
var ModifyDBSnapshotAttributeCommand_1 = require("./commands/ModifyDBSnapshotAttributeCommand");
var ModifyDBSnapshotCommand_1 = require("./commands/ModifyDBSnapshotCommand");
var ModifyDBSubnetGroupCommand_1 = require("./commands/ModifyDBSubnetGroupCommand");
var ModifyEventSubscriptionCommand_1 = require("./commands/ModifyEventSubscriptionCommand");
var ModifyGlobalClusterCommand_1 = require("./commands/ModifyGlobalClusterCommand");
var ModifyOptionGroupCommand_1 = require("./commands/ModifyOptionGroupCommand");
var PromoteReadReplicaCommand_1 = require("./commands/PromoteReadReplicaCommand");
var PromoteReadReplicaDBClusterCommand_1 = require("./commands/PromoteReadReplicaDBClusterCommand");
var PurchaseReservedDBInstancesOfferingCommand_1 = require("./commands/PurchaseReservedDBInstancesOfferingCommand");
var RebootDBInstanceCommand_1 = require("./commands/RebootDBInstanceCommand");
var RemoveFromGlobalClusterCommand_1 = require("./commands/RemoveFromGlobalClusterCommand");
var RemoveRoleFromDBClusterCommand_1 = require("./commands/RemoveRoleFromDBClusterCommand");
var RemoveRoleFromDBInstanceCommand_1 = require("./commands/RemoveRoleFromDBInstanceCommand");
var RemoveSourceIdentifierFromSubscriptionCommand_1 = require("./commands/RemoveSourceIdentifierFromSubscriptionCommand");
var RemoveTagsFromResourceCommand_1 = require("./commands/RemoveTagsFromResourceCommand");
var ResetDBClusterParameterGroupCommand_1 = require("./commands/ResetDBClusterParameterGroupCommand");
var ResetDBParameterGroupCommand_1 = require("./commands/ResetDBParameterGroupCommand");
var RestoreDBClusterFromS3Command_1 = require("./commands/RestoreDBClusterFromS3Command");
var RestoreDBClusterFromSnapshotCommand_1 = require("./commands/RestoreDBClusterFromSnapshotCommand");
var RestoreDBClusterToPointInTimeCommand_1 = require("./commands/RestoreDBClusterToPointInTimeCommand");
var RestoreDBInstanceFromDBSnapshotCommand_1 = require("./commands/RestoreDBInstanceFromDBSnapshotCommand");
var RestoreDBInstanceFromS3Command_1 = require("./commands/RestoreDBInstanceFromS3Command");
var RestoreDBInstanceToPointInTimeCommand_1 = require("./commands/RestoreDBInstanceToPointInTimeCommand");
var RevokeDBSecurityGroupIngressCommand_1 = require("./commands/RevokeDBSecurityGroupIngressCommand");
var StartActivityStreamCommand_1 = require("./commands/StartActivityStreamCommand");
var StartDBClusterCommand_1 = require("./commands/StartDBClusterCommand");
var StartDBInstanceCommand_1 = require("./commands/StartDBInstanceCommand");
var StopActivityStreamCommand_1 = require("./commands/StopActivityStreamCommand");
var StopDBClusterCommand_1 = require("./commands/StopDBClusterCommand");
var StopDBInstanceCommand_1 = require("./commands/StopDBInstanceCommand");
var RDS = /** @class */ (function (_super) {
    tslib_1.__extends(RDS, _super);
    function RDS() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RDS.prototype.addRoleToDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddRoleToDBClusterCommand_1.AddRoleToDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.addRoleToDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddRoleToDBInstanceCommand_1.AddRoleToDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.addSourceIdentifierToSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddSourceIdentifierToSubscriptionCommand_1.AddSourceIdentifierToSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.addTagsToResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AddTagsToResourceCommand_1.AddTagsToResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.applyPendingMaintenanceAction = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ApplyPendingMaintenanceActionCommand_1.ApplyPendingMaintenanceActionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.authorizeDBSecurityGroupIngress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AuthorizeDBSecurityGroupIngressCommand_1.AuthorizeDBSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.backtrackDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BacktrackDBClusterCommand_1.BacktrackDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.copyDBClusterParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopyDBClusterParameterGroupCommand_1.CopyDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.copyDBClusterSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopyDBClusterSnapshotCommand_1.CopyDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.copyDBParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopyDBParameterGroupCommand_1.CopyDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.copyDBSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopyDBSnapshotCommand_1.CopyDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.copyOptionGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CopyOptionGroupCommand_1.CopyOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBClusterCommand_1.CreateDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBClusterEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBClusterEndpointCommand_1.CreateDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBClusterParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBClusterParameterGroupCommand_1.CreateDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBClusterSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBClusterSnapshotCommand_1.CreateDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBInstanceCommand_1.CreateDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBInstanceReadReplica = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBInstanceReadReplicaCommand_1.CreateDBInstanceReadReplicaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBParameterGroupCommand_1.CreateDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBSecurityGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBSecurityGroupCommand_1.CreateDBSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBSnapshotCommand_1.CreateDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createDBSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateDBSubnetGroupCommand_1.CreateDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateEventSubscriptionCommand_1.CreateEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createGlobalCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateGlobalClusterCommand_1.CreateGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.createOptionGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateOptionGroupCommand_1.CreateOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBClusterCommand_1.DeleteDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBClusterEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBClusterEndpointCommand_1.DeleteDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBClusterParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBClusterParameterGroupCommand_1.DeleteDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBClusterSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBClusterSnapshotCommand_1.DeleteDBClusterSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBInstanceCommand_1.DeleteDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBInstanceAutomatedBackup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBInstanceAutomatedBackupCommand_1.DeleteDBInstanceAutomatedBackupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBParameterGroupCommand_1.DeleteDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBSecurityGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBSecurityGroupCommand_1.DeleteDBSecurityGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBSnapshotCommand_1.DeleteDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteDBSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteDBSubnetGroupCommand_1.DeleteDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEventSubscriptionCommand_1.DeleteEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteGlobalCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteGlobalClusterCommand_1.DeleteGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.deleteOptionGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteOptionGroupCommand_1.DeleteOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeAccountAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAccountAttributesCommand_1.DescribeAccountAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeCertificates = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCertificatesCommand_1.DescribeCertificatesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterBacktracks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterBacktracksCommand_1.DescribeDBClusterBacktracksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterEndpoints = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterEndpointsCommand_1.DescribeDBClusterEndpointsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterParameterGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterParameterGroupsCommand_1.DescribeDBClusterParameterGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterParametersCommand_1.DescribeDBClusterParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterSnapshotAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterSnapshotAttributesCommand_1.DescribeDBClusterSnapshotAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusterSnapshots = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClusterSnapshotsCommand_1.DescribeDBClusterSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBClusters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBClustersCommand_1.DescribeDBClustersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBEngineVersions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBEngineVersionsCommand_1.DescribeDBEngineVersionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBInstanceAutomatedBackups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBInstanceAutomatedBackupsCommand_1.DescribeDBInstanceAutomatedBackupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBInstancesCommand_1.DescribeDBInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBLogFiles = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBLogFilesCommand_1.DescribeDBLogFilesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBParameterGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBParameterGroupsCommand_1.DescribeDBParameterGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBParametersCommand_1.DescribeDBParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBSecurityGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBSecurityGroupsCommand_1.DescribeDBSecurityGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBSnapshotAttributes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBSnapshotAttributesCommand_1.DescribeDBSnapshotAttributesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBSnapshots = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBSnapshotsCommand_1.DescribeDBSnapshotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeDBSubnetGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeDBSubnetGroupsCommand_1.DescribeDBSubnetGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeEngineDefaultClusterParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEngineDefaultClusterParametersCommand_1.DescribeEngineDefaultClusterParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeEngineDefaultParameters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEngineDefaultParametersCommand_1.DescribeEngineDefaultParametersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeEventCategories = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventCategoriesCommand_1.DescribeEventCategoriesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeEventSubscriptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventSubscriptionsCommand_1.DescribeEventSubscriptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeEvents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeEventsCommand_1.DescribeEventsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeGlobalClusters = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeGlobalClustersCommand_1.DescribeGlobalClustersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeOptionGroupOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOptionGroupOptionsCommand_1.DescribeOptionGroupOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeOptionGroups = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOptionGroupsCommand_1.DescribeOptionGroupsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeOrderableDBInstanceOptions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeOrderableDBInstanceOptionsCommand_1.DescribeOrderableDBInstanceOptionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describePendingMaintenanceActions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribePendingMaintenanceActionsCommand_1.DescribePendingMaintenanceActionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeReservedDBInstances = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedDBInstancesCommand_1.DescribeReservedDBInstancesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeReservedDBInstancesOfferings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeReservedDBInstancesOfferingsCommand_1.DescribeReservedDBInstancesOfferingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeSourceRegions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeSourceRegionsCommand_1.DescribeSourceRegionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.describeValidDBInstanceModifications = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeValidDBInstanceModificationsCommand_1.DescribeValidDBInstanceModificationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.downloadDBLogFilePortion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DownloadDBLogFilePortionCommand_1.DownloadDBLogFilePortionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.failoverDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new FailoverDBClusterCommand_1.FailoverDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyCurrentDBClusterCapacity = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyCurrentDBClusterCapacityCommand_1.ModifyCurrentDBClusterCapacityCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBClusterCommand_1.ModifyDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBClusterEndpoint = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBClusterEndpointCommand_1.ModifyDBClusterEndpointCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBClusterParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBClusterParameterGroupCommand_1.ModifyDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBClusterSnapshotAttribute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBClusterSnapshotAttributeCommand_1.ModifyDBClusterSnapshotAttributeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBInstanceCommand_1.ModifyDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBParameterGroupCommand_1.ModifyDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBSnapshotCommand_1.ModifyDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBSnapshotAttribute = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBSnapshotAttributeCommand_1.ModifyDBSnapshotAttributeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyDBSubnetGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyDBSubnetGroupCommand_1.ModifyDBSubnetGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyEventSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyEventSubscriptionCommand_1.ModifyEventSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyGlobalCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyGlobalClusterCommand_1.ModifyGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.modifyOptionGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ModifyOptionGroupCommand_1.ModifyOptionGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.promoteReadReplica = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PromoteReadReplicaCommand_1.PromoteReadReplicaCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.promoteReadReplicaDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PromoteReadReplicaDBClusterCommand_1.PromoteReadReplicaDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.purchaseReservedDBInstancesOffering = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PurchaseReservedDBInstancesOfferingCommand_1.PurchaseReservedDBInstancesOfferingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.rebootDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RebootDBInstanceCommand_1.RebootDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.removeFromGlobalCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveFromGlobalClusterCommand_1.RemoveFromGlobalClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.removeRoleFromDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveRoleFromDBClusterCommand_1.RemoveRoleFromDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.removeRoleFromDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveRoleFromDBInstanceCommand_1.RemoveRoleFromDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.removeSourceIdentifierFromSubscription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveSourceIdentifierFromSubscriptionCommand_1.RemoveSourceIdentifierFromSubscriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.removeTagsFromResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RemoveTagsFromResourceCommand_1.RemoveTagsFromResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.resetDBClusterParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetDBClusterParameterGroupCommand_1.ResetDBClusterParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.resetDBParameterGroup = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetDBParameterGroupCommand_1.ResetDBParameterGroupCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBClusterFromS3 = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBClusterFromS3Command_1.RestoreDBClusterFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBClusterFromSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBClusterFromSnapshotCommand_1.RestoreDBClusterFromSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBClusterToPointInTime = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBClusterToPointInTimeCommand_1.RestoreDBClusterToPointInTimeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBInstanceFromDBSnapshot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBInstanceFromDBSnapshotCommand_1.RestoreDBInstanceFromDBSnapshotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBInstanceFromS3 = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBInstanceFromS3Command_1.RestoreDBInstanceFromS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.restoreDBInstanceToPointInTime = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestoreDBInstanceToPointInTimeCommand_1.RestoreDBInstanceToPointInTimeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.revokeDBSecurityGroupIngress = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RevokeDBSecurityGroupIngressCommand_1.RevokeDBSecurityGroupIngressCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.startActivityStream = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartActivityStreamCommand_1.StartActivityStreamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.startDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartDBClusterCommand_1.StartDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.startDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartDBInstanceCommand_1.StartDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.stopActivityStream = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopActivityStreamCommand_1.StopActivityStreamCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.stopDBCluster = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopDBClusterCommand_1.StopDBClusterCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    RDS.prototype.stopDBInstance = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StopDBInstanceCommand_1.StopDBInstanceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return RDS;
}(RDSClient_1.RDSClient));
exports.RDS = RDS;
//# sourceMappingURL=RDS.js.map