"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddRoleToDBCluster_1 = require("../model/operations/AddRoleToDBCluster");
var AddRoleToDBClusterCommand = /** @class */ (function () {
    function AddRoleToDBClusterCommand(input) {
        this.input = input;
        this.model = AddRoleToDBCluster_1.AddRoleToDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddRoleToDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddRoleToDBClusterCommand;
}());
exports.AddRoleToDBClusterCommand = AddRoleToDBClusterCommand;
//# sourceMappingURL=AddRoleToDBClusterCommand.js.map