"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AddRoleToDBInstance_1 = require("../model/operations/AddRoleToDBInstance");
var AddRoleToDBInstanceCommand = /** @class */ (function () {
    function AddRoleToDBInstanceCommand(input) {
        this.input = input;
        this.model = AddRoleToDBInstance_1.AddRoleToDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AddRoleToDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AddRoleToDBInstanceCommand;
}());
exports.AddRoleToDBInstanceCommand = AddRoleToDBInstanceCommand;
//# sourceMappingURL=AddRoleToDBInstanceCommand.js.map