"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AuthorizeDBSecurityGroupIngress_1 = require("../model/operations/AuthorizeDBSecurityGroupIngress");
var AuthorizeDBSecurityGroupIngressCommand = /** @class */ (function () {
    function AuthorizeDBSecurityGroupIngressCommand(input) {
        this.input = input;
        this.model = AuthorizeDBSecurityGroupIngress_1.AuthorizeDBSecurityGroupIngress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AuthorizeDBSecurityGroupIngressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AuthorizeDBSecurityGroupIngressCommand;
}());
exports.AuthorizeDBSecurityGroupIngressCommand = AuthorizeDBSecurityGroupIngressCommand;
//# sourceMappingURL=AuthorizeDBSecurityGroupIngressCommand.js.map