"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BacktrackDBCluster_1 = require("../model/operations/BacktrackDBCluster");
var BacktrackDBClusterCommand = /** @class */ (function () {
    function BacktrackDBClusterCommand(input) {
        this.input = input;
        this.model = BacktrackDBCluster_1.BacktrackDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BacktrackDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BacktrackDBClusterCommand;
}());
exports.BacktrackDBClusterCommand = BacktrackDBClusterCommand;
//# sourceMappingURL=BacktrackDBClusterCommand.js.map