"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CopyDBClusterParameterGroup_1 = require("../model/operations/CopyDBClusterParameterGroup");
var CopyDBClusterParameterGroupCommand = /** @class */ (function () {
    function CopyDBClusterParameterGroupCommand(input) {
        this.input = input;
        this.model = CopyDBClusterParameterGroup_1.CopyDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CopyDBClusterParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CopyDBClusterParameterGroupCommand;
}());
exports.CopyDBClusterParameterGroupCommand = CopyDBClusterParameterGroupCommand;
//# sourceMappingURL=CopyDBClusterParameterGroupCommand.js.map