"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_rds_presignedurl = require("@aws-sdk/middleware-rds-presignedurl");
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBCluster_1 = require("../model/operations/CreateDBCluster");
var CreateDBClusterCommand = /** @class */ (function () {
    function CreateDBClusterCommand(input) {
        this.input = input;
        this.model = CreateDBCluster_1.CreateDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        stack.add(__aws_sdk_middleware_rds_presignedurl.buildCrossRegionPresignedUrl({
            sourceIdentifierKey: "ReplicationSourceIdentifier",
            region: configuration.region,
            credentials: configuration.credentials,
            endpoint: configuration.endpoint,
            base64Encoder: configuration.base64Encoder,
            utf8Decoder: configuration.utf8Decoder,
            sha256: configuration.sha256
        }), {
            step: "initialize",
            priority: 0,
            tags: { PRESIGNED_URL: true }
        });
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBClusterCommand;
}());
exports.CreateDBClusterCommand = CreateDBClusterCommand;
//# sourceMappingURL=CreateDBClusterCommand.js.map