"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBClusterEndpoint_1 = require("../model/operations/CreateDBClusterEndpoint");
var CreateDBClusterEndpointCommand = /** @class */ (function () {
    function CreateDBClusterEndpointCommand(input) {
        this.input = input;
        this.model = CreateDBClusterEndpoint_1.CreateDBClusterEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBClusterEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBClusterEndpointCommand;
}());
exports.CreateDBClusterEndpointCommand = CreateDBClusterEndpointCommand;
//# sourceMappingURL=CreateDBClusterEndpointCommand.js.map