"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBClusterParameterGroup_1 = require("../model/operations/CreateDBClusterParameterGroup");
var CreateDBClusterParameterGroupCommand = /** @class */ (function () {
    function CreateDBClusterParameterGroupCommand(input) {
        this.input = input;
        this.model = CreateDBClusterParameterGroup_1.CreateDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBClusterParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBClusterParameterGroupCommand;
}());
exports.CreateDBClusterParameterGroupCommand = CreateDBClusterParameterGroupCommand;
//# sourceMappingURL=CreateDBClusterParameterGroupCommand.js.map