"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBClusterSnapshot_1 = require("../model/operations/CreateDBClusterSnapshot");
var CreateDBClusterSnapshotCommand = /** @class */ (function () {
    function CreateDBClusterSnapshotCommand(input) {
        this.input = input;
        this.model = CreateDBClusterSnapshot_1.CreateDBClusterSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBClusterSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBClusterSnapshotCommand;
}());
exports.CreateDBClusterSnapshotCommand = CreateDBClusterSnapshotCommand;
//# sourceMappingURL=CreateDBClusterSnapshotCommand.js.map