"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBInstance_1 = require("../model/operations/CreateDBInstance");
var CreateDBInstanceCommand = /** @class */ (function () {
    function CreateDBInstanceCommand(input) {
        this.input = input;
        this.model = CreateDBInstance_1.CreateDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBInstanceCommand;
}());
exports.CreateDBInstanceCommand = CreateDBInstanceCommand;
//# sourceMappingURL=CreateDBInstanceCommand.js.map