"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_rds_presignedurl = require("@aws-sdk/middleware-rds-presignedurl");
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBInstanceReadReplica_1 = require("../model/operations/CreateDBInstanceReadReplica");
var CreateDBInstanceReadReplicaCommand = /** @class */ (function () {
    function CreateDBInstanceReadReplicaCommand(input) {
        this.input = input;
        this.model = CreateDBInstanceReadReplica_1.CreateDBInstanceReadReplica;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBInstanceReadReplicaCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        stack.add(__aws_sdk_middleware_rds_presignedurl.buildCrossRegionPresignedUrl({
            sourceIdentifierKey: "SourceDBInstanceIdentifier",
            region: configuration.region,
            credentials: configuration.credentials,
            endpoint: configuration.endpoint,
            base64Encoder: configuration.base64Encoder,
            utf8Decoder: configuration.utf8Decoder,
            sha256: configuration.sha256
        }), {
            step: "initialize",
            priority: 0,
            tags: { PRESIGNED_URL: true }
        });
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBInstanceReadReplicaCommand;
}());
exports.CreateDBInstanceReadReplicaCommand = CreateDBInstanceReadReplicaCommand;
//# sourceMappingURL=CreateDBInstanceReadReplicaCommand.js.map