"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBSecurityGroup_1 = require("../model/operations/CreateDBSecurityGroup");
var CreateDBSecurityGroupCommand = /** @class */ (function () {
    function CreateDBSecurityGroupCommand(input) {
        this.input = input;
        this.model = CreateDBSecurityGroup_1.CreateDBSecurityGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBSecurityGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBSecurityGroupCommand;
}());
exports.CreateDBSecurityGroupCommand = CreateDBSecurityGroupCommand;
//# sourceMappingURL=CreateDBSecurityGroupCommand.js.map