"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateDBSnapshot_1 = require("../model/operations/CreateDBSnapshot");
var CreateDBSnapshotCommand = /** @class */ (function () {
    function CreateDBSnapshotCommand(input) {
        this.input = input;
        this.model = CreateDBSnapshot_1.CreateDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateDBSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateDBSnapshotCommand;
}());
exports.CreateDBSnapshotCommand = CreateDBSnapshotCommand;
//# sourceMappingURL=CreateDBSnapshotCommand.js.map