"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateGlobalCluster_1 = require("../model/operations/CreateGlobalCluster");
var CreateGlobalClusterCommand = /** @class */ (function () {
    function CreateGlobalClusterCommand(input) {
        this.input = input;
        this.model = CreateGlobalCluster_1.CreateGlobalCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateGlobalClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateGlobalClusterCommand;
}());
exports.CreateGlobalClusterCommand = CreateGlobalClusterCommand;
//# sourceMappingURL=CreateGlobalClusterCommand.js.map