"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateOptionGroup_1 = require("../model/operations/CreateOptionGroup");
var CreateOptionGroupCommand = /** @class */ (function () {
    function CreateOptionGroupCommand(input) {
        this.input = input;
        this.model = CreateOptionGroup_1.CreateOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateOptionGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateOptionGroupCommand;
}());
exports.CreateOptionGroupCommand = CreateOptionGroupCommand;
//# sourceMappingURL=CreateOptionGroupCommand.js.map