"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBCluster_1 = require("../model/operations/DeleteDBCluster");
var DeleteDBClusterCommand = /** @class */ (function () {
    function DeleteDBClusterCommand(input) {
        this.input = input;
        this.model = DeleteDBCluster_1.DeleteDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBClusterCommand;
}());
exports.DeleteDBClusterCommand = DeleteDBClusterCommand;
//# sourceMappingURL=DeleteDBClusterCommand.js.map