"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBClusterEndpoint_1 = require("../model/operations/DeleteDBClusterEndpoint");
var DeleteDBClusterEndpointCommand = /** @class */ (function () {
    function DeleteDBClusterEndpointCommand(input) {
        this.input = input;
        this.model = DeleteDBClusterEndpoint_1.DeleteDBClusterEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBClusterEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBClusterEndpointCommand;
}());
exports.DeleteDBClusterEndpointCommand = DeleteDBClusterEndpointCommand;
//# sourceMappingURL=DeleteDBClusterEndpointCommand.js.map