"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBClusterSnapshot_1 = require("../model/operations/DeleteDBClusterSnapshot");
var DeleteDBClusterSnapshotCommand = /** @class */ (function () {
    function DeleteDBClusterSnapshotCommand(input) {
        this.input = input;
        this.model = DeleteDBClusterSnapshot_1.DeleteDBClusterSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBClusterSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBClusterSnapshotCommand;
}());
exports.DeleteDBClusterSnapshotCommand = DeleteDBClusterSnapshotCommand;
//# sourceMappingURL=DeleteDBClusterSnapshotCommand.js.map