"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBInstance_1 = require("../model/operations/DeleteDBInstance");
var DeleteDBInstanceCommand = /** @class */ (function () {
    function DeleteDBInstanceCommand(input) {
        this.input = input;
        this.model = DeleteDBInstance_1.DeleteDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBInstanceCommand;
}());
exports.DeleteDBInstanceCommand = DeleteDBInstanceCommand;
//# sourceMappingURL=DeleteDBInstanceCommand.js.map