"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBSecurityGroup_1 = require("../model/operations/DeleteDBSecurityGroup");
var DeleteDBSecurityGroupCommand = /** @class */ (function () {
    function DeleteDBSecurityGroupCommand(input) {
        this.input = input;
        this.model = DeleteDBSecurityGroup_1.DeleteDBSecurityGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBSecurityGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBSecurityGroupCommand;
}());
exports.DeleteDBSecurityGroupCommand = DeleteDBSecurityGroupCommand;
//# sourceMappingURL=DeleteDBSecurityGroupCommand.js.map