"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteDBSnapshot_1 = require("../model/operations/DeleteDBSnapshot");
var DeleteDBSnapshotCommand = /** @class */ (function () {
    function DeleteDBSnapshotCommand(input) {
        this.input = input;
        this.model = DeleteDBSnapshot_1.DeleteDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteDBSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteDBSnapshotCommand;
}());
exports.DeleteDBSnapshotCommand = DeleteDBSnapshotCommand;
//# sourceMappingURL=DeleteDBSnapshotCommand.js.map