"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteGlobalCluster_1 = require("../model/operations/DeleteGlobalCluster");
var DeleteGlobalClusterCommand = /** @class */ (function () {
    function DeleteGlobalClusterCommand(input) {
        this.input = input;
        this.model = DeleteGlobalCluster_1.DeleteGlobalCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteGlobalClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteGlobalClusterCommand;
}());
exports.DeleteGlobalClusterCommand = DeleteGlobalClusterCommand;
//# sourceMappingURL=DeleteGlobalClusterCommand.js.map