"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteOptionGroup_1 = require("../model/operations/DeleteOptionGroup");
var DeleteOptionGroupCommand = /** @class */ (function () {
    function DeleteOptionGroupCommand(input) {
        this.input = input;
        this.model = DeleteOptionGroup_1.DeleteOptionGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteOptionGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteOptionGroupCommand;
}());
exports.DeleteOptionGroupCommand = DeleteOptionGroupCommand;
//# sourceMappingURL=DeleteOptionGroupCommand.js.map