"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterEndpoints_1 = require("../model/operations/DescribeDBClusterEndpoints");
var DescribeDBClusterEndpointsCommand = /** @class */ (function () {
    function DescribeDBClusterEndpointsCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterEndpoints_1.DescribeDBClusterEndpoints;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterEndpointsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterEndpointsCommand;
}());
exports.DescribeDBClusterEndpointsCommand = DescribeDBClusterEndpointsCommand;
//# sourceMappingURL=DescribeDBClusterEndpointsCommand.js.map