"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterParameterGroups_1 = require("../model/operations/DescribeDBClusterParameterGroups");
var DescribeDBClusterParameterGroupsCommand = /** @class */ (function () {
    function DescribeDBClusterParameterGroupsCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterParameterGroups_1.DescribeDBClusterParameterGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterParameterGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterParameterGroupsCommand;
}());
exports.DescribeDBClusterParameterGroupsCommand = DescribeDBClusterParameterGroupsCommand;
//# sourceMappingURL=DescribeDBClusterParameterGroupsCommand.js.map