"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterParameters_1 = require("../model/operations/DescribeDBClusterParameters");
var DescribeDBClusterParametersCommand = /** @class */ (function () {
    function DescribeDBClusterParametersCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterParameters_1.DescribeDBClusterParameters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterParametersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterParametersCommand;
}());
exports.DescribeDBClusterParametersCommand = DescribeDBClusterParametersCommand;
//# sourceMappingURL=DescribeDBClusterParametersCommand.js.map