"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusterSnapshots_1 = require("../model/operations/DescribeDBClusterSnapshots");
var DescribeDBClusterSnapshotsCommand = /** @class */ (function () {
    function DescribeDBClusterSnapshotsCommand(input) {
        this.input = input;
        this.model = DescribeDBClusterSnapshots_1.DescribeDBClusterSnapshots;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClusterSnapshotsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClusterSnapshotsCommand;
}());
exports.DescribeDBClusterSnapshotsCommand = DescribeDBClusterSnapshotsCommand;
//# sourceMappingURL=DescribeDBClusterSnapshotsCommand.js.map