"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBClusters_1 = require("../model/operations/DescribeDBClusters");
var DescribeDBClustersCommand = /** @class */ (function () {
    function DescribeDBClustersCommand(input) {
        this.input = input;
        this.model = DescribeDBClusters_1.DescribeDBClusters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBClustersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBClustersCommand;
}());
exports.DescribeDBClustersCommand = DescribeDBClustersCommand;
//# sourceMappingURL=DescribeDBClustersCommand.js.map