"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBInstances_1 = require("../model/operations/DescribeDBInstances");
var DescribeDBInstancesCommand = /** @class */ (function () {
    function DescribeDBInstancesCommand(input) {
        this.input = input;
        this.model = DescribeDBInstances_1.DescribeDBInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBInstancesCommand;
}());
exports.DescribeDBInstancesCommand = DescribeDBInstancesCommand;
//# sourceMappingURL=DescribeDBInstancesCommand.js.map