"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBLogFiles_1 = require("../model/operations/DescribeDBLogFiles");
var DescribeDBLogFilesCommand = /** @class */ (function () {
    function DescribeDBLogFilesCommand(input) {
        this.input = input;
        this.model = DescribeDBLogFiles_1.DescribeDBLogFiles;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBLogFilesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBLogFilesCommand;
}());
exports.DescribeDBLogFilesCommand = DescribeDBLogFilesCommand;
//# sourceMappingURL=DescribeDBLogFilesCommand.js.map