"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeDBSecurityGroups_1 = require("../model/operations/DescribeDBSecurityGroups");
var DescribeDBSecurityGroupsCommand = /** @class */ (function () {
    function DescribeDBSecurityGroupsCommand(input) {
        this.input = input;
        this.model = DescribeDBSecurityGroups_1.DescribeDBSecurityGroups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeDBSecurityGroupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeDBSecurityGroupsCommand;
}());
exports.DescribeDBSecurityGroupsCommand = DescribeDBSecurityGroupsCommand;
//# sourceMappingURL=DescribeDBSecurityGroupsCommand.js.map