"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeGlobalClusters_1 = require("../model/operations/DescribeGlobalClusters");
var DescribeGlobalClustersCommand = /** @class */ (function () {
    function DescribeGlobalClustersCommand(input) {
        this.input = input;
        this.model = DescribeGlobalClusters_1.DescribeGlobalClusters;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeGlobalClustersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeGlobalClustersCommand;
}());
exports.DescribeGlobalClustersCommand = DescribeGlobalClustersCommand;
//# sourceMappingURL=DescribeGlobalClustersCommand.js.map