"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeOrderableDBInstanceOptions_1 = require("../model/operations/DescribeOrderableDBInstanceOptions");
var DescribeOrderableDBInstanceOptionsCommand = /** @class */ (function () {
    function DescribeOrderableDBInstanceOptionsCommand(input) {
        this.input = input;
        this.model = DescribeOrderableDBInstanceOptions_1.DescribeOrderableDBInstanceOptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeOrderableDBInstanceOptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeOrderableDBInstanceOptionsCommand;
}());
exports.DescribeOrderableDBInstanceOptionsCommand = DescribeOrderableDBInstanceOptionsCommand;
//# sourceMappingURL=DescribeOrderableDBInstanceOptionsCommand.js.map