"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedDBInstances_1 = require("../model/operations/DescribeReservedDBInstances");
var DescribeReservedDBInstancesCommand = /** @class */ (function () {
    function DescribeReservedDBInstancesCommand(input) {
        this.input = input;
        this.model = DescribeReservedDBInstances_1.DescribeReservedDBInstances;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedDBInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedDBInstancesCommand;
}());
exports.DescribeReservedDBInstancesCommand = DescribeReservedDBInstancesCommand;
//# sourceMappingURL=DescribeReservedDBInstancesCommand.js.map