"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DownloadDBLogFilePortion_1 = require("../model/operations/DownloadDBLogFilePortion");
var DownloadDBLogFilePortionCommand = /** @class */ (function () {
    function DownloadDBLogFilePortionCommand(input) {
        this.input = input;
        this.model = DownloadDBLogFilePortion_1.DownloadDBLogFilePortion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DownloadDBLogFilePortionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DownloadDBLogFilePortionCommand;
}());
exports.DownloadDBLogFilePortionCommand = DownloadDBLogFilePortionCommand;
//# sourceMappingURL=DownloadDBLogFilePortionCommand.js.map