"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var FailoverDBCluster_1 = require("../model/operations/FailoverDBCluster");
var FailoverDBClusterCommand = /** @class */ (function () {
    function FailoverDBClusterCommand(input) {
        this.input = input;
        this.model = FailoverDBCluster_1.FailoverDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    FailoverDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return FailoverDBClusterCommand;
}());
exports.FailoverDBClusterCommand = FailoverDBClusterCommand;
//# sourceMappingURL=FailoverDBClusterCommand.js.map