"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBCluster_1 = require("../model/operations/ModifyDBCluster");
var ModifyDBClusterCommand = /** @class */ (function () {
    function ModifyDBClusterCommand(input) {
        this.input = input;
        this.model = ModifyDBCluster_1.ModifyDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBClusterCommand;
}());
exports.ModifyDBClusterCommand = ModifyDBClusterCommand;
//# sourceMappingURL=ModifyDBClusterCommand.js.map