"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBClusterEndpoint_1 = require("../model/operations/ModifyDBClusterEndpoint");
var ModifyDBClusterEndpointCommand = /** @class */ (function () {
    function ModifyDBClusterEndpointCommand(input) {
        this.input = input;
        this.model = ModifyDBClusterEndpoint_1.ModifyDBClusterEndpoint;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBClusterEndpointCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBClusterEndpointCommand;
}());
exports.ModifyDBClusterEndpointCommand = ModifyDBClusterEndpointCommand;
//# sourceMappingURL=ModifyDBClusterEndpointCommand.js.map