"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBClusterParameterGroup_1 = require("../model/operations/ModifyDBClusterParameterGroup");
var ModifyDBClusterParameterGroupCommand = /** @class */ (function () {
    function ModifyDBClusterParameterGroupCommand(input) {
        this.input = input;
        this.model = ModifyDBClusterParameterGroup_1.ModifyDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBClusterParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBClusterParameterGroupCommand;
}());
exports.ModifyDBClusterParameterGroupCommand = ModifyDBClusterParameterGroupCommand;
//# sourceMappingURL=ModifyDBClusterParameterGroupCommand.js.map