"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBClusterSnapshotAttribute_1 = require("../model/operations/ModifyDBClusterSnapshotAttribute");
var ModifyDBClusterSnapshotAttributeCommand = /** @class */ (function () {
    function ModifyDBClusterSnapshotAttributeCommand(input) {
        this.input = input;
        this.model = ModifyDBClusterSnapshotAttribute_1.ModifyDBClusterSnapshotAttribute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBClusterSnapshotAttributeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBClusterSnapshotAttributeCommand;
}());
exports.ModifyDBClusterSnapshotAttributeCommand = ModifyDBClusterSnapshotAttributeCommand;
//# sourceMappingURL=ModifyDBClusterSnapshotAttributeCommand.js.map