"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBInstance_1 = require("../model/operations/ModifyDBInstance");
var ModifyDBInstanceCommand = /** @class */ (function () {
    function ModifyDBInstanceCommand(input) {
        this.input = input;
        this.model = ModifyDBInstance_1.ModifyDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBInstanceCommand;
}());
exports.ModifyDBInstanceCommand = ModifyDBInstanceCommand;
//# sourceMappingURL=ModifyDBInstanceCommand.js.map