"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyDBSnapshot_1 = require("../model/operations/ModifyDBSnapshot");
var ModifyDBSnapshotCommand = /** @class */ (function () {
    function ModifyDBSnapshotCommand(input) {
        this.input = input;
        this.model = ModifyDBSnapshot_1.ModifyDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyDBSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyDBSnapshotCommand;
}());
exports.ModifyDBSnapshotCommand = ModifyDBSnapshotCommand;
//# sourceMappingURL=ModifyDBSnapshotCommand.js.map