"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyGlobalCluster_1 = require("../model/operations/ModifyGlobalCluster");
var ModifyGlobalClusterCommand = /** @class */ (function () {
    function ModifyGlobalClusterCommand(input) {
        this.input = input;
        this.model = ModifyGlobalCluster_1.ModifyGlobalCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyGlobalClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyGlobalClusterCommand;
}());
exports.ModifyGlobalClusterCommand = ModifyGlobalClusterCommand;
//# sourceMappingURL=ModifyGlobalClusterCommand.js.map