"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PromoteReadReplica_1 = require("../model/operations/PromoteReadReplica");
var PromoteReadReplicaCommand = /** @class */ (function () {
    function PromoteReadReplicaCommand(input) {
        this.input = input;
        this.model = PromoteReadReplica_1.PromoteReadReplica;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PromoteReadReplicaCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PromoteReadReplicaCommand;
}());
exports.PromoteReadReplicaCommand = PromoteReadReplicaCommand;
//# sourceMappingURL=PromoteReadReplicaCommand.js.map