"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PromoteReadReplicaDBCluster_1 = require("../model/operations/PromoteReadReplicaDBCluster");
var PromoteReadReplicaDBClusterCommand = /** @class */ (function () {
    function PromoteReadReplicaDBClusterCommand(input) {
        this.input = input;
        this.model = PromoteReadReplicaDBCluster_1.PromoteReadReplicaDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PromoteReadReplicaDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PromoteReadReplicaDBClusterCommand;
}());
exports.PromoteReadReplicaDBClusterCommand = PromoteReadReplicaDBClusterCommand;
//# sourceMappingURL=PromoteReadReplicaDBClusterCommand.js.map