"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RebootDBInstance_1 = require("../model/operations/RebootDBInstance");
var RebootDBInstanceCommand = /** @class */ (function () {
    function RebootDBInstanceCommand(input) {
        this.input = input;
        this.model = RebootDBInstance_1.RebootDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RebootDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RebootDBInstanceCommand;
}());
exports.RebootDBInstanceCommand = RebootDBInstanceCommand;
//# sourceMappingURL=RebootDBInstanceCommand.js.map