"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RemoveFromGlobalCluster_1 = require("../model/operations/RemoveFromGlobalCluster");
var RemoveFromGlobalClusterCommand = /** @class */ (function () {
    function RemoveFromGlobalClusterCommand(input) {
        this.input = input;
        this.model = RemoveFromGlobalCluster_1.RemoveFromGlobalCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RemoveFromGlobalClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RemoveFromGlobalClusterCommand;
}());
exports.RemoveFromGlobalClusterCommand = RemoveFromGlobalClusterCommand;
//# sourceMappingURL=RemoveFromGlobalClusterCommand.js.map