"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResetDBClusterParameterGroup_1 = require("../model/operations/ResetDBClusterParameterGroup");
var ResetDBClusterParameterGroupCommand = /** @class */ (function () {
    function ResetDBClusterParameterGroupCommand(input) {
        this.input = input;
        this.model = ResetDBClusterParameterGroup_1.ResetDBClusterParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResetDBClusterParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResetDBClusterParameterGroupCommand;
}());
exports.ResetDBClusterParameterGroupCommand = ResetDBClusterParameterGroupCommand;
//# sourceMappingURL=ResetDBClusterParameterGroupCommand.js.map