"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResetDBParameterGroup_1 = require("../model/operations/ResetDBParameterGroup");
var ResetDBParameterGroupCommand = /** @class */ (function () {
    function ResetDBParameterGroupCommand(input) {
        this.input = input;
        this.model = ResetDBParameterGroup_1.ResetDBParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResetDBParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResetDBParameterGroupCommand;
}());
exports.ResetDBParameterGroupCommand = ResetDBParameterGroupCommand;
//# sourceMappingURL=ResetDBParameterGroupCommand.js.map