"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBClusterFromS3_1 = require("../model/operations/RestoreDBClusterFromS3");
var RestoreDBClusterFromS3Command = /** @class */ (function () {
    function RestoreDBClusterFromS3Command(input) {
        this.input = input;
        this.model = RestoreDBClusterFromS3_1.RestoreDBClusterFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBClusterFromS3Command.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBClusterFromS3Command;
}());
exports.RestoreDBClusterFromS3Command = RestoreDBClusterFromS3Command;
//# sourceMappingURL=RestoreDBClusterFromS3Command.js.map