"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBClusterFromSnapshot_1 = require("../model/operations/RestoreDBClusterFromSnapshot");
var RestoreDBClusterFromSnapshotCommand = /** @class */ (function () {
    function RestoreDBClusterFromSnapshotCommand(input) {
        this.input = input;
        this.model = RestoreDBClusterFromSnapshot_1.RestoreDBClusterFromSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBClusterFromSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBClusterFromSnapshotCommand;
}());
exports.RestoreDBClusterFromSnapshotCommand = RestoreDBClusterFromSnapshotCommand;
//# sourceMappingURL=RestoreDBClusterFromSnapshotCommand.js.map