"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBClusterToPointInTime_1 = require("../model/operations/RestoreDBClusterToPointInTime");
var RestoreDBClusterToPointInTimeCommand = /** @class */ (function () {
    function RestoreDBClusterToPointInTimeCommand(input) {
        this.input = input;
        this.model = RestoreDBClusterToPointInTime_1.RestoreDBClusterToPointInTime;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBClusterToPointInTimeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBClusterToPointInTimeCommand;
}());
exports.RestoreDBClusterToPointInTimeCommand = RestoreDBClusterToPointInTimeCommand;
//# sourceMappingURL=RestoreDBClusterToPointInTimeCommand.js.map