"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBInstanceFromDBSnapshot_1 = require("../model/operations/RestoreDBInstanceFromDBSnapshot");
var RestoreDBInstanceFromDBSnapshotCommand = /** @class */ (function () {
    function RestoreDBInstanceFromDBSnapshotCommand(input) {
        this.input = input;
        this.model = RestoreDBInstanceFromDBSnapshot_1.RestoreDBInstanceFromDBSnapshot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBInstanceFromDBSnapshotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBInstanceFromDBSnapshotCommand;
}());
exports.RestoreDBInstanceFromDBSnapshotCommand = RestoreDBInstanceFromDBSnapshotCommand;
//# sourceMappingURL=RestoreDBInstanceFromDBSnapshotCommand.js.map