"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBInstanceFromS3_1 = require("../model/operations/RestoreDBInstanceFromS3");
var RestoreDBInstanceFromS3Command = /** @class */ (function () {
    function RestoreDBInstanceFromS3Command(input) {
        this.input = input;
        this.model = RestoreDBInstanceFromS3_1.RestoreDBInstanceFromS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBInstanceFromS3Command.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBInstanceFromS3Command;
}());
exports.RestoreDBInstanceFromS3Command = RestoreDBInstanceFromS3Command;
//# sourceMappingURL=RestoreDBInstanceFromS3Command.js.map