"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestoreDBInstanceToPointInTime_1 = require("../model/operations/RestoreDBInstanceToPointInTime");
var RestoreDBInstanceToPointInTimeCommand = /** @class */ (function () {
    function RestoreDBInstanceToPointInTimeCommand(input) {
        this.input = input;
        this.model = RestoreDBInstanceToPointInTime_1.RestoreDBInstanceToPointInTime;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestoreDBInstanceToPointInTimeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestoreDBInstanceToPointInTimeCommand;
}());
exports.RestoreDBInstanceToPointInTimeCommand = RestoreDBInstanceToPointInTimeCommand;
//# sourceMappingURL=RestoreDBInstanceToPointInTimeCommand.js.map