"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RevokeDBSecurityGroupIngress_1 = require("../model/operations/RevokeDBSecurityGroupIngress");
var RevokeDBSecurityGroupIngressCommand = /** @class */ (function () {
    function RevokeDBSecurityGroupIngressCommand(input) {
        this.input = input;
        this.model = RevokeDBSecurityGroupIngress_1.RevokeDBSecurityGroupIngress;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RevokeDBSecurityGroupIngressCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RevokeDBSecurityGroupIngressCommand;
}());
exports.RevokeDBSecurityGroupIngressCommand = RevokeDBSecurityGroupIngressCommand;
//# sourceMappingURL=RevokeDBSecurityGroupIngressCommand.js.map