"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartActivityStream_1 = require("../model/operations/StartActivityStream");
var StartActivityStreamCommand = /** @class */ (function () {
    function StartActivityStreamCommand(input) {
        this.input = input;
        this.model = StartActivityStream_1.StartActivityStream;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartActivityStreamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartActivityStreamCommand;
}());
exports.StartActivityStreamCommand = StartActivityStreamCommand;
//# sourceMappingURL=StartActivityStreamCommand.js.map