"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartDBCluster_1 = require("../model/operations/StartDBCluster");
var StartDBClusterCommand = /** @class */ (function () {
    function StartDBClusterCommand(input) {
        this.input = input;
        this.model = StartDBCluster_1.StartDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartDBClusterCommand;
}());
exports.StartDBClusterCommand = StartDBClusterCommand;
//# sourceMappingURL=StartDBClusterCommand.js.map