"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartDBInstance_1 = require("../model/operations/StartDBInstance");
var StartDBInstanceCommand = /** @class */ (function () {
    function StartDBInstanceCommand(input) {
        this.input = input;
        this.model = StartDBInstance_1.StartDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartDBInstanceCommand;
}());
exports.StartDBInstanceCommand = StartDBInstanceCommand;
//# sourceMappingURL=StartDBInstanceCommand.js.map