"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopActivityStream_1 = require("../model/operations/StopActivityStream");
var StopActivityStreamCommand = /** @class */ (function () {
    function StopActivityStreamCommand(input) {
        this.input = input;
        this.model = StopActivityStream_1.StopActivityStream;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopActivityStreamCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopActivityStreamCommand;
}());
exports.StopActivityStreamCommand = StopActivityStreamCommand;
//# sourceMappingURL=StopActivityStreamCommand.js.map