"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopDBCluster_1 = require("../model/operations/StopDBCluster");
var StopDBClusterCommand = /** @class */ (function () {
    function StopDBClusterCommand(input) {
        this.input = input;
        this.model = StopDBCluster_1.StopDBCluster;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopDBClusterCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopDBClusterCommand;
}());
exports.StopDBClusterCommand = StopDBClusterCommand;
//# sourceMappingURL=StopDBClusterCommand.js.map