"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StopDBInstance_1 = require("../model/operations/StopDBInstance");
var StopDBInstanceCommand = /** @class */ (function () {
    function StopDBInstanceCommand(input) {
        this.input = input;
        this.model = StopDBInstance_1.StopDBInstance;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StopDBInstanceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StopDBInstanceCommand;
}());
exports.StopDBInstanceCommand = StopDBInstanceCommand;
//# sourceMappingURL=StopDBInstanceCommand.js.map