"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CopyDBClusterParameterGroupInput_1 = require("../shapes/CopyDBClusterParameterGroupInput");
var CopyDBClusterParameterGroupOutput_1 = require("../shapes/CopyDBClusterParameterGroupOutput");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var DBParameterGroupQuotaExceededFault_1 = require("../shapes/DBParameterGroupQuotaExceededFault");
var DBParameterGroupAlreadyExistsFault_1 = require("../shapes/DBParameterGroupAlreadyExistsFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyDBClusterParameterGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyDBClusterParameterGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyDBClusterParameterGroupInput_1.CopyDBClusterParameterGroupInput
    },
    output: {
        shape: CopyDBClusterParameterGroupOutput_1.CopyDBClusterParameterGroupOutput,
        resultWrapper: "CopyDBClusterParameterGroupResult"
    },
    errors: [
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBParameterGroupQuotaExceededFault_1.DBParameterGroupQuotaExceededFault
        },
        {
            shape: DBParameterGroupAlreadyExistsFault_1.DBParameterGroupAlreadyExistsFault
        }
    ]
};
//# sourceMappingURL=CopyDBClusterParameterGroup.js.map