"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CopyDBClusterSnapshotInput_1 = require("../shapes/CopyDBClusterSnapshotInput");
var CopyDBClusterSnapshotOutput_1 = require("../shapes/CopyDBClusterSnapshotOutput");
var DBClusterSnapshotAlreadyExistsFault_1 = require("../shapes/DBClusterSnapshotAlreadyExistsFault");
var DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyDBClusterSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyDBClusterSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyDBClusterSnapshotInput_1.CopyDBClusterSnapshotInput
    },
    output: {
        shape: CopyDBClusterSnapshotOutput_1.CopyDBClusterSnapshotOutput,
        resultWrapper: "CopyDBClusterSnapshotResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotAlreadyExistsFault_1.DBClusterSnapshotAlreadyExistsFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=CopyDBClusterSnapshot.js.map