"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CopyDBSnapshotInput_1 = require("../shapes/CopyDBSnapshotInput");
var CopyDBSnapshotOutput_1 = require("../shapes/CopyDBSnapshotOutput");
var DBSnapshotAlreadyExistsFault_1 = require("../shapes/DBSnapshotAlreadyExistsFault");
var DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
var InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyDBSnapshotInput_1.CopyDBSnapshotInput
    },
    output: {
        shape: CopyDBSnapshotOutput_1.CopyDBSnapshotOutput,
        resultWrapper: "CopyDBSnapshotResult"
    },
    errors: [
        {
            shape: DBSnapshotAlreadyExistsFault_1.DBSnapshotAlreadyExistsFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        }
    ]
};
//# sourceMappingURL=CopyDBSnapshot.js.map