"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CopyOptionGroupInput_1 = require("../shapes/CopyOptionGroupInput");
var CopyOptionGroupOutput_1 = require("../shapes/CopyOptionGroupOutput");
var OptionGroupAlreadyExistsFault_1 = require("../shapes/OptionGroupAlreadyExistsFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var OptionGroupQuotaExceededFault_1 = require("../shapes/OptionGroupQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CopyOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CopyOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CopyOptionGroupInput_1.CopyOptionGroupInput
    },
    output: {
        shape: CopyOptionGroupOutput_1.CopyOptionGroupOutput,
        resultWrapper: "CopyOptionGroupResult"
    },
    errors: [
        {
            shape: OptionGroupAlreadyExistsFault_1.OptionGroupAlreadyExistsFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: OptionGroupQuotaExceededFault_1.OptionGroupQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=CopyOptionGroup.js.map