"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDBClusterInput_1 = require("../shapes/CreateDBClusterInput");
var CreateDBClusterOutput_1 = require("../shapes/CreateDBClusterOutput");
var DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
var InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
var DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var GlobalClusterNotFoundFault_1 = require("../shapes/GlobalClusterNotFoundFault");
var InvalidGlobalClusterStateFault_1 = require("../shapes/InvalidGlobalClusterStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterInput_1.CreateDBClusterInput
    },
    output: {
        shape: CreateDBClusterOutput_1.CreateDBClusterOutput,
        resultWrapper: "CreateDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: GlobalClusterNotFoundFault_1.GlobalClusterNotFoundFault
        },
        {
            shape: InvalidGlobalClusterStateFault_1.InvalidGlobalClusterStateFault
        }
    ]
};
//# sourceMappingURL=CreateDBCluster.js.map