"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDBClusterEndpointInput_1 = require("../shapes/CreateDBClusterEndpointInput");
var CreateDBClusterEndpointOutput_1 = require("../shapes/CreateDBClusterEndpointOutput");
var DBClusterEndpointQuotaExceededFault_1 = require("../shapes/DBClusterEndpointQuotaExceededFault");
var DBClusterEndpointAlreadyExistsFault_1 = require("../shapes/DBClusterEndpointAlreadyExistsFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBClusterEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBClusterEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterEndpointInput_1.CreateDBClusterEndpointInput
    },
    output: {
        shape: CreateDBClusterEndpointOutput_1.CreateDBClusterEndpointOutput,
        resultWrapper: "CreateDBClusterEndpointResult"
    },
    errors: [
        {
            shape: DBClusterEndpointQuotaExceededFault_1.DBClusterEndpointQuotaExceededFault
        },
        {
            shape: DBClusterEndpointAlreadyExistsFault_1.DBClusterEndpointAlreadyExistsFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=CreateDBClusterEndpoint.js.map