"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDBClusterSnapshotInput_1 = require("../shapes/CreateDBClusterSnapshotInput");
var CreateDBClusterSnapshotOutput_1 = require("../shapes/CreateDBClusterSnapshotOutput");
var DBClusterSnapshotAlreadyExistsFault_1 = require("../shapes/DBClusterSnapshotAlreadyExistsFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBClusterSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBClusterSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBClusterSnapshotInput_1.CreateDBClusterSnapshotInput
    },
    output: {
        shape: CreateDBClusterSnapshotOutput_1.CreateDBClusterSnapshotOutput,
        resultWrapper: "CreateDBClusterSnapshotResult"
    },
    errors: [
        {
            shape: DBClusterSnapshotAlreadyExistsFault_1.DBClusterSnapshotAlreadyExistsFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        }
    ]
};
//# sourceMappingURL=CreateDBClusterSnapshot.js.map