"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDBInstanceInput_1 = require("../shapes/CreateDBInstanceInput");
var CreateDBInstanceOutput_1 = require("../shapes/CreateDBInstanceOutput");
var DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
var InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
var InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
var AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
var BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBInstanceInput_1.CreateDBInstanceInput
    },
    output: {
        shape: CreateDBInstanceOutput_1.CreateDBInstanceOutput,
        resultWrapper: "CreateDBInstanceResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=CreateDBInstance.js.map