"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateDBSubnetGroupInput_1 = require("../shapes/CreateDBSubnetGroupInput");
var CreateDBSubnetGroupOutput_1 = require("../shapes/CreateDBSubnetGroupOutput");
var DBSubnetGroupAlreadyExistsFault_1 = require("../shapes/DBSubnetGroupAlreadyExistsFault");
var DBSubnetGroupQuotaExceededFault_1 = require("../shapes/DBSubnetGroupQuotaExceededFault");
var DBSubnetQuotaExceededFault_1 = require("../shapes/DBSubnetQuotaExceededFault");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDBSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDBSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateDBSubnetGroupInput_1.CreateDBSubnetGroupInput
    },
    output: {
        shape: CreateDBSubnetGroupOutput_1.CreateDBSubnetGroupOutput,
        resultWrapper: "CreateDBSubnetGroupResult"
    },
    errors: [
        {
            shape: DBSubnetGroupAlreadyExistsFault_1.DBSubnetGroupAlreadyExistsFault
        },
        {
            shape: DBSubnetGroupQuotaExceededFault_1.DBSubnetGroupQuotaExceededFault
        },
        {
            shape: DBSubnetQuotaExceededFault_1.DBSubnetQuotaExceededFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        }
    ]
};
//# sourceMappingURL=CreateDBSubnetGroup.js.map