"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEventSubscriptionInput_1 = require("../shapes/CreateEventSubscriptionInput");
var CreateEventSubscriptionOutput_1 = require("../shapes/CreateEventSubscriptionOutput");
var EventSubscriptionQuotaExceededFault_1 = require("../shapes/EventSubscriptionQuotaExceededFault");
var SubscriptionAlreadyExistFault_1 = require("../shapes/SubscriptionAlreadyExistFault");
var SNSInvalidTopicFault_1 = require("../shapes/SNSInvalidTopicFault");
var SNSNoAuthorizationFault_1 = require("../shapes/SNSNoAuthorizationFault");
var SNSTopicArnNotFoundFault_1 = require("../shapes/SNSTopicArnNotFoundFault");
var SubscriptionCategoryNotFoundFault_1 = require("../shapes/SubscriptionCategoryNotFoundFault");
var SourceNotFoundFault_1 = require("../shapes/SourceNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateEventSubscriptionInput_1.CreateEventSubscriptionInput
    },
    output: {
        shape: CreateEventSubscriptionOutput_1.CreateEventSubscriptionOutput,
        resultWrapper: "CreateEventSubscriptionResult"
    },
    errors: [
        {
            shape: EventSubscriptionQuotaExceededFault_1.EventSubscriptionQuotaExceededFault
        },
        {
            shape: SubscriptionAlreadyExistFault_1.SubscriptionAlreadyExistFault
        },
        {
            shape: SNSInvalidTopicFault_1.SNSInvalidTopicFault
        },
        {
            shape: SNSNoAuthorizationFault_1.SNSNoAuthorizationFault
        },
        {
            shape: SNSTopicArnNotFoundFault_1.SNSTopicArnNotFoundFault
        },
        {
            shape: SubscriptionCategoryNotFoundFault_1.SubscriptionCategoryNotFoundFault
        },
        {
            shape: SourceNotFoundFault_1.SourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=CreateEventSubscription.js.map