"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteDBInstanceInput_1 = require("../shapes/DeleteDBInstanceInput");
var DeleteDBInstanceOutput_1 = require("../shapes/DeleteDBInstanceOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var DBSnapshotAlreadyExistsFault_1 = require("../shapes/DBSnapshotAlreadyExistsFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var DBInstanceAutomatedBackupQuotaExceededFault_1 = require("../shapes/DBInstanceAutomatedBackupQuotaExceededFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteDBInstanceInput_1.DeleteDBInstanceInput
    },
    output: {
        shape: DeleteDBInstanceOutput_1.DeleteDBInstanceOutput,
        resultWrapper: "DeleteDBInstanceResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBSnapshotAlreadyExistsFault_1.DBSnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: DBInstanceAutomatedBackupQuotaExceededFault_1.DBInstanceAutomatedBackupQuotaExceededFault
        }
    ]
};
//# sourceMappingURL=DeleteDBInstance.js.map