"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FailoverDBClusterInput_1 = require("../shapes/FailoverDBClusterInput");
var FailoverDBClusterOutput_1 = require("../shapes/FailoverDBClusterOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.FailoverDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "FailoverDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: FailoverDBClusterInput_1.FailoverDBClusterInput
    },
    output: {
        shape: FailoverDBClusterOutput_1.FailoverDBClusterOutput,
        resultWrapper: "FailoverDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=FailoverDBCluster.js.map