"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyDBClusterInput_1 = require("../shapes/ModifyDBClusterInput");
var ModifyDBClusterOutput_1 = require("../shapes/ModifyDBClusterOutput");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
var InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBCluster = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBCluster",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBClusterInput_1.ModifyDBClusterInput
    },
    output: {
        shape: ModifyDBClusterOutput_1.ModifyDBClusterOutput,
        resultWrapper: "ModifyDBClusterResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        }
    ]
};
//# sourceMappingURL=ModifyDBCluster.js.map