"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyDBClusterEndpointInput_1 = require("../shapes/ModifyDBClusterEndpointInput");
var ModifyDBClusterEndpointOutput_1 = require("../shapes/ModifyDBClusterEndpointOutput");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBClusterEndpointStateFault_1 = require("../shapes/InvalidDBClusterEndpointStateFault");
var DBClusterEndpointNotFoundFault_1 = require("../shapes/DBClusterEndpointNotFoundFault");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBClusterEndpoint = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBClusterEndpoint",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBClusterEndpointInput_1.ModifyDBClusterEndpointInput
    },
    output: {
        shape: ModifyDBClusterEndpointOutput_1.ModifyDBClusterEndpointOutput,
        resultWrapper: "ModifyDBClusterEndpointResult"
    },
    errors: [
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBClusterEndpointStateFault_1.InvalidDBClusterEndpointStateFault
        },
        {
            shape: DBClusterEndpointNotFoundFault_1.DBClusterEndpointNotFoundFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        }
    ]
};
//# sourceMappingURL=ModifyDBClusterEndpoint.js.map