"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyDBInstanceInput_1 = require("../shapes/ModifyDBInstanceInput");
var ModifyDBInstanceOutput_1 = require("../shapes/ModifyDBInstanceOutput");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
var DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var DBUpgradeDependencyFailureFault_1 = require("../shapes/DBUpgradeDependencyFailureFault");
var StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
var AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
var CertificateNotFoundFault_1 = require("../shapes/CertificateNotFoundFault");
var DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
var BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBInstanceInput_1.ModifyDBInstanceInput
    },
    output: {
        shape: ModifyDBInstanceOutput_1.ModifyDBInstanceOutput,
        resultWrapper: "ModifyDBInstanceResult"
    },
    errors: [
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        },
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: DBUpgradeDependencyFailureFault_1.DBUpgradeDependencyFailureFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: CertificateNotFoundFault_1.CertificateNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyDBInstance.js.map