"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyDBSubnetGroupInput_1 = require("../shapes/ModifyDBSubnetGroupInput");
var ModifyDBSubnetGroupOutput_1 = require("../shapes/ModifyDBSubnetGroupOutput");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var DBSubnetQuotaExceededFault_1 = require("../shapes/DBSubnetQuotaExceededFault");
var SubnetAlreadyInUse_1 = require("../shapes/SubnetAlreadyInUse");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyDBSubnetGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyDBSubnetGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyDBSubnetGroupInput_1.ModifyDBSubnetGroupInput
    },
    output: {
        shape: ModifyDBSubnetGroupOutput_1.ModifyDBSubnetGroupOutput,
        resultWrapper: "ModifyDBSubnetGroupResult"
    },
    errors: [
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetQuotaExceededFault_1.DBSubnetQuotaExceededFault
        },
        {
            shape: SubnetAlreadyInUse_1.SubnetAlreadyInUse
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        }
    ]
};
//# sourceMappingURL=ModifyDBSubnetGroup.js.map