"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ModifyEventSubscriptionInput_1 = require("../shapes/ModifyEventSubscriptionInput");
var ModifyEventSubscriptionOutput_1 = require("../shapes/ModifyEventSubscriptionOutput");
var EventSubscriptionQuotaExceededFault_1 = require("../shapes/EventSubscriptionQuotaExceededFault");
var SubscriptionNotFoundFault_1 = require("../shapes/SubscriptionNotFoundFault");
var SNSInvalidTopicFault_1 = require("../shapes/SNSInvalidTopicFault");
var SNSNoAuthorizationFault_1 = require("../shapes/SNSNoAuthorizationFault");
var SNSTopicArnNotFoundFault_1 = require("../shapes/SNSTopicArnNotFoundFault");
var SubscriptionCategoryNotFoundFault_1 = require("../shapes/SubscriptionCategoryNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyEventSubscription = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyEventSubscription",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyEventSubscriptionInput_1.ModifyEventSubscriptionInput
    },
    output: {
        shape: ModifyEventSubscriptionOutput_1.ModifyEventSubscriptionOutput,
        resultWrapper: "ModifyEventSubscriptionResult"
    },
    errors: [
        {
            shape: EventSubscriptionQuotaExceededFault_1.EventSubscriptionQuotaExceededFault
        },
        {
            shape: SubscriptionNotFoundFault_1.SubscriptionNotFoundFault
        },
        {
            shape: SNSInvalidTopicFault_1.SNSInvalidTopicFault
        },
        {
            shape: SNSNoAuthorizationFault_1.SNSNoAuthorizationFault
        },
        {
            shape: SNSTopicArnNotFoundFault_1.SNSTopicArnNotFoundFault
        },
        {
            shape: SubscriptionCategoryNotFoundFault_1.SubscriptionCategoryNotFoundFault
        }
    ]
};
//# sourceMappingURL=ModifyEventSubscription.js.map