"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreDBClusterFromS3Input_1 = require("../shapes/RestoreDBClusterFromS3Input");
var RestoreDBClusterFromS3Output_1 = require("../shapes/RestoreDBClusterFromS3Output");
var DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
var DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBSubnetGroupStateFault_1 = require("../shapes/InvalidDBSubnetGroupStateFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var InvalidS3BucketFault_1 = require("../shapes/InvalidS3BucketFault");
var DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBClusterFromS3 = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBClusterFromS3",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBClusterFromS3Input_1.RestoreDBClusterFromS3Input
    },
    output: {
        shape: RestoreDBClusterFromS3Output_1.RestoreDBClusterFromS3Output,
        resultWrapper: "RestoreDBClusterFromS3Result"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBSubnetGroupStateFault_1.InvalidDBSubnetGroupStateFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidS3BucketFault_1.InvalidS3BucketFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        }
    ]
};
//# sourceMappingURL=RestoreDBClusterFromS3.js.map