"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreDBClusterFromSnapshotInput_1 = require("../shapes/RestoreDBClusterFromSnapshotInput");
var RestoreDBClusterFromSnapshotOutput_1 = require("../shapes/RestoreDBClusterFromSnapshotOutput");
var DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
var DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
var DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
var InsufficientDBClusterCapacityFault_1 = require("../shapes/InsufficientDBClusterCapacityFault");
var InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
var InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
var InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBClusterFromSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBClusterFromSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBClusterFromSnapshotInput_1.RestoreDBClusterFromSnapshotInput
    },
    output: {
        shape: RestoreDBClusterFromSnapshotOutput_1.RestoreDBClusterFromSnapshotOutput,
        resultWrapper: "RestoreDBClusterFromSnapshotResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: InsufficientDBClusterCapacityFault_1.InsufficientDBClusterCapacityFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBClusterFromSnapshot.js.map