"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreDBClusterToPointInTimeInput_1 = require("../shapes/RestoreDBClusterToPointInTimeInput");
var RestoreDBClusterToPointInTimeOutput_1 = require("../shapes/RestoreDBClusterToPointInTimeOutput");
var DBClusterAlreadyExistsFault_1 = require("../shapes/DBClusterAlreadyExistsFault");
var DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
var DBClusterQuotaExceededFault_1 = require("../shapes/DBClusterQuotaExceededFault");
var DBClusterSnapshotNotFoundFault_1 = require("../shapes/DBClusterSnapshotNotFoundFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var InsufficientDBClusterCapacityFault_1 = require("../shapes/InsufficientDBClusterCapacityFault");
var InsufficientStorageClusterCapacityFault_1 = require("../shapes/InsufficientStorageClusterCapacityFault");
var InvalidDBClusterSnapshotStateFault_1 = require("../shapes/InvalidDBClusterSnapshotStateFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
var InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var DBClusterParameterGroupNotFoundFault_1 = require("../shapes/DBClusterParameterGroupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBClusterToPointInTime = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBClusterToPointInTime",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBClusterToPointInTimeInput_1.RestoreDBClusterToPointInTimeInput
    },
    output: {
        shape: RestoreDBClusterToPointInTimeOutput_1.RestoreDBClusterToPointInTimeOutput,
        resultWrapper: "RestoreDBClusterToPointInTimeResult"
    },
    errors: [
        {
            shape: DBClusterAlreadyExistsFault_1.DBClusterAlreadyExistsFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: DBClusterQuotaExceededFault_1.DBClusterQuotaExceededFault
        },
        {
            shape: DBClusterSnapshotNotFoundFault_1.DBClusterSnapshotNotFoundFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: InsufficientDBClusterCapacityFault_1.InsufficientDBClusterCapacityFault
        },
        {
            shape: InsufficientStorageClusterCapacityFault_1.InsufficientStorageClusterCapacityFault
        },
        {
            shape: InvalidDBClusterSnapshotStateFault_1.InvalidDBClusterSnapshotStateFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: DBClusterParameterGroupNotFoundFault_1.DBClusterParameterGroupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBClusterToPointInTime.js.map