"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreDBInstanceFromDBSnapshotInput_1 = require("../shapes/RestoreDBInstanceFromDBSnapshotInput");
var RestoreDBInstanceFromDBSnapshotOutput_1 = require("../shapes/RestoreDBInstanceFromDBSnapshotOutput");
var DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
var DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
var InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
var InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
var InvalidDBSnapshotStateFault_1 = require("../shapes/InvalidDBSnapshotStateFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
var AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
var DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBInstanceFromDBSnapshot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBInstanceFromDBSnapshot",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBInstanceFromDBSnapshotInput_1.RestoreDBInstanceFromDBSnapshotInput
    },
    output: {
        shape: RestoreDBInstanceFromDBSnapshotOutput_1.RestoreDBInstanceFromDBSnapshotOutput,
        resultWrapper: "RestoreDBInstanceFromDBSnapshotResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: InvalidDBSnapshotStateFault_1.InvalidDBSnapshotStateFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBInstanceFromDBSnapshot.js.map