"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreDBInstanceToPointInTimeInput_1 = require("../shapes/RestoreDBInstanceToPointInTimeInput");
var RestoreDBInstanceToPointInTimeOutput_1 = require("../shapes/RestoreDBInstanceToPointInTimeOutput");
var DBInstanceAlreadyExistsFault_1 = require("../shapes/DBInstanceAlreadyExistsFault");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var InstanceQuotaExceededFault_1 = require("../shapes/InstanceQuotaExceededFault");
var InsufficientDBInstanceCapacityFault_1 = require("../shapes/InsufficientDBInstanceCapacityFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var PointInTimeRestoreNotEnabledFault_1 = require("../shapes/PointInTimeRestoreNotEnabledFault");
var StorageQuotaExceededFault_1 = require("../shapes/StorageQuotaExceededFault");
var InvalidVPCNetworkStateFault_1 = require("../shapes/InvalidVPCNetworkStateFault");
var InvalidRestoreFault_1 = require("../shapes/InvalidRestoreFault");
var DBSubnetGroupNotFoundFault_1 = require("../shapes/DBSubnetGroupNotFoundFault");
var DBSubnetGroupDoesNotCoverEnoughAZs_1 = require("../shapes/DBSubnetGroupDoesNotCoverEnoughAZs");
var InvalidSubnet_1 = require("../shapes/InvalidSubnet");
var ProvisionedIopsNotAvailableInAZFault_1 = require("../shapes/ProvisionedIopsNotAvailableInAZFault");
var OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
var StorageTypeNotSupportedFault_1 = require("../shapes/StorageTypeNotSupportedFault");
var AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
var KMSKeyNotAccessibleFault_1 = require("../shapes/KMSKeyNotAccessibleFault");
var DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
var DomainNotFoundFault_1 = require("../shapes/DomainNotFoundFault");
var BackupPolicyNotFoundFault_1 = require("../shapes/BackupPolicyNotFoundFault");
var DBParameterGroupNotFoundFault_1 = require("../shapes/DBParameterGroupNotFoundFault");
var DBInstanceAutomatedBackupNotFoundFault_1 = require("../shapes/DBInstanceAutomatedBackupNotFoundFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreDBInstanceToPointInTime = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreDBInstanceToPointInTime",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreDBInstanceToPointInTimeInput_1.RestoreDBInstanceToPointInTimeInput
    },
    output: {
        shape: RestoreDBInstanceToPointInTimeOutput_1.RestoreDBInstanceToPointInTimeOutput,
        resultWrapper: "RestoreDBInstanceToPointInTimeResult"
    },
    errors: [
        {
            shape: DBInstanceAlreadyExistsFault_1.DBInstanceAlreadyExistsFault
        },
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InstanceQuotaExceededFault_1.InstanceQuotaExceededFault
        },
        {
            shape: InsufficientDBInstanceCapacityFault_1.InsufficientDBInstanceCapacityFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: PointInTimeRestoreNotEnabledFault_1.PointInTimeRestoreNotEnabledFault
        },
        {
            shape: StorageQuotaExceededFault_1.StorageQuotaExceededFault
        },
        {
            shape: InvalidVPCNetworkStateFault_1.InvalidVPCNetworkStateFault
        },
        {
            shape: InvalidRestoreFault_1.InvalidRestoreFault
        },
        {
            shape: DBSubnetGroupNotFoundFault_1.DBSubnetGroupNotFoundFault
        },
        {
            shape: DBSubnetGroupDoesNotCoverEnoughAZs_1.DBSubnetGroupDoesNotCoverEnoughAZs
        },
        {
            shape: InvalidSubnet_1.InvalidSubnet
        },
        {
            shape: ProvisionedIopsNotAvailableInAZFault_1.ProvisionedIopsNotAvailableInAZFault
        },
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: StorageTypeNotSupportedFault_1.StorageTypeNotSupportedFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: KMSKeyNotAccessibleFault_1.KMSKeyNotAccessibleFault
        },
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: DomainNotFoundFault_1.DomainNotFoundFault
        },
        {
            shape: BackupPolicyNotFoundFault_1.BackupPolicyNotFoundFault
        },
        {
            shape: DBParameterGroupNotFoundFault_1.DBParameterGroupNotFoundFault
        },
        {
            shape: DBInstanceAutomatedBackupNotFoundFault_1.DBInstanceAutomatedBackupNotFoundFault
        }
    ]
};
//# sourceMappingURL=RestoreDBInstanceToPointInTime.js.map