"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RevokeDBSecurityGroupIngressInput_1 = require("../shapes/RevokeDBSecurityGroupIngressInput");
var RevokeDBSecurityGroupIngressOutput_1 = require("../shapes/RevokeDBSecurityGroupIngressOutput");
var DBSecurityGroupNotFoundFault_1 = require("../shapes/DBSecurityGroupNotFoundFault");
var AuthorizationNotFoundFault_1 = require("../shapes/AuthorizationNotFoundFault");
var InvalidDBSecurityGroupStateFault_1 = require("../shapes/InvalidDBSecurityGroupStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RevokeDBSecurityGroupIngress = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RevokeDBSecurityGroupIngress",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RevokeDBSecurityGroupIngressInput_1.RevokeDBSecurityGroupIngressInput
    },
    output: {
        shape: RevokeDBSecurityGroupIngressOutput_1.RevokeDBSecurityGroupIngressOutput,
        resultWrapper: "RevokeDBSecurityGroupIngressResult"
    },
    errors: [
        {
            shape: DBSecurityGroupNotFoundFault_1.DBSecurityGroupNotFoundFault
        },
        {
            shape: AuthorizationNotFoundFault_1.AuthorizationNotFoundFault
        },
        {
            shape: InvalidDBSecurityGroupStateFault_1.InvalidDBSecurityGroupStateFault
        }
    ]
};
//# sourceMappingURL=RevokeDBSecurityGroupIngress.js.map