"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopDBInstanceInput_1 = require("../shapes/StopDBInstanceInput");
var StopDBInstanceOutput_1 = require("../shapes/StopDBInstanceOutput");
var DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
var InvalidDBInstanceStateFault_1 = require("../shapes/InvalidDBInstanceStateFault");
var DBSnapshotAlreadyExistsFault_1 = require("../shapes/DBSnapshotAlreadyExistsFault");
var SnapshotQuotaExceededFault_1 = require("../shapes/SnapshotQuotaExceededFault");
var InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopDBInstance = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopDBInstance",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopDBInstanceInput_1.StopDBInstanceInput
    },
    output: {
        shape: StopDBInstanceOutput_1.StopDBInstanceOutput,
        resultWrapper: "StopDBInstanceResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: InvalidDBInstanceStateFault_1.InvalidDBInstanceStateFault
        },
        {
            shape: DBSnapshotAlreadyExistsFault_1.DBSnapshotAlreadyExistsFault
        },
        {
            shape: SnapshotQuotaExceededFault_1.SnapshotQuotaExceededFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        }
    ]
};
//# sourceMappingURL=StopDBInstance.js.map